Bug 1267549 - DHT: Memory leak is happening during the re-balance
DHT: Memory leak is happening during the re-balance
Status: CLOSED DUPLICATE of bug 1272933
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Susant Kumar Palai
Anoop
triaged
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 07:52 EDT by RajeshReddy
Modified: 2017-06-12 14:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-26 10:36:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RajeshReddy 2015-09-30 07:52:44 EDT
Description of problem:
=================
Memory leak is happening during the re-balance process 


Version-Release number of selected component (if applicable):
=======================
glusterfs-cli-3.7.1-16

How reproducible:


Steps to Reproduce:
=================
1.Create volume with one brick and mount it on client using FUSE and create 5  Million files
2.Add one more brick to the volume and do rebalance with force option 
3.Rebalance process started with 0.3 % of total memory and to migrate 1.5 M files it took 16 % of total memory so looks there is memory leak 

Actual results:


Expected results:
=============
Memeory leak should not be there during the rebalance 


Additional info:
==============
[root@rhs-client21 ~]# gluster vol status dht_mem2
Status of volume: dht_mem2
Gluster process                             TCP Port  RDMA Port  Online  Pid
------------------------------------------------------------------------------
Brick rhs-client21.lab.eng.blr.redhat.com:/
rhs/brick6/dht_mem2                         49161     0          Y       31030
Brick rhs-client21.lab.eng.blr.redhat.com:/
rhs/brick7/dht_mem2                         49162     0          Y       32498
NFS Server on localhost                     N/A       N/A        N       N/A  
NFS Server on rhs-client39.lab.eng.blr.redh
at.com                                      N/A       N/A        N       N/A  
NFS Server on rhs-client9.lab.eng.blr.redha
t.com                                       N/A       N/A        N       N/A  
 
Task Status of Volume dht_mem2
------------------------------------------------------------------------------
Task                 : Rebalance           
ID                   : 6c1bf2c3-6660-4708-829f-9bd6e00e280c
Status               : in progress  

[root@rhs-client21 ~]# gluster vol rebalance dht_mem2 status 
                                    Node Rebalanced-files          size       scanned      failures       skipped               status   run time in secs
                               ---------      -----------   -----------   -----------   -----------   -----------         ------------     --------------
                               localhost          1494440        10.9MB       3289806             0             0          in progress           80441.00
volume rebalance: dht_mem2: success:


  PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND                                                   
32557 root      20   0 4468440 2.341g   3260 S  34.2 15.1 449:51.34 glusterfs

Note You need to log in before you can comment on or make changes to this bug.